/*
 * Copyright (C) 2006  Emmanuel VARAGNAT <>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 */

#define GEPJ_PROGNAME   "gepj-fat"
#define FLAGS_DRY_RUN   1
#define SECTOR_SIZE     512

#define INTERNAL_ERROR_EXIT(string,errmsg) \
 do { \
   fprintf(stderr, "ERROR(%s:%u): %s%s\n", \
           __FILE__, \
	   __LINE__, \
	   string,   \
	   errmsg);  \
   exit(2);          \
 } while(0)

#define UNUSED __attribute__((unused))

